eID middleware |

# eIDMW::PTEID_ByteArray Class Reference

This class is used to receive/pass bytes array from/to different method in the SDK. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_ByteArray:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_ByteArray ()
| Default constructor.
PTEIDSDK_API | PTEID_ByteArray (const PTEID_ByteArray &bytearray)
| Copy constructor.
PTEIDSDK_API | PTEID_ByteArray (const unsigned char *pucData, unsigned long ulSize)
| Constructor - initialize a byte array with an array of unsigned char.
virtual PTEIDSDK_API | ~PTEID_ByteArray ()
| Destructor.
PTEIDSDK_API void | Append (const unsigned char *pucData, unsigned long ulSize)
| Append data to the byte array.
PTEIDSDK_API void | Append (const PTEID_ByteArray &data)
| Append data to the byte array.
PTEIDSDK_API void | Clear ()
| Remove the data from the byte array.
PTEIDSDK_API bool | Equals (const PTEID_ByteArray &data) const
| Return true if the content of data is the same as this.
PTEIDSDK_API unsigned long | Size () const
| Return the number of bytes in the array.
PTEIDSDK_API const unsigned char * | GetBytes () const
| Return the array of bytes in the object.
PTEIDSDK_API bool | writeToFile (const char *csFilePath)
| Writing the binary content to a file.
PTEIDSDK_API PTEID_ByteArray & | operator= (const PTEID_ByteArray &bytearray)
| Copy content of bytearray.
NOEXPORT_PTEIDSDK | PTEID_ByteArray (const SDK_Context *context, const CByteArray &impl)
| For internal use : construct from lower level object.
NOEXPORT_PTEIDSDK PTEID_ByteArray & | operator= (const CByteArray &bytearray)
| For internal use : copy from lower level object.

## Detailed Description

This class is used to receive/pass bytes array from/to different method in the SDK.

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_ByteArray::PTEID_ByteArray | ( |  | ) |

Default constructor.

PTEIDSDK_API eIDMW::PTEID_ByteArray::PTEID_ByteArray | ( | const PTEID_ByteArray & | bytearray | ) |

Copy constructor.

PTEIDSDK_API eIDMW::PTEID_ByteArray::PTEID_ByteArray | ( | const unsigned char * | pucData,
|  | unsigned long | ulSize |
| ) |  |  |

Constructor - initialize a byte array with an array of unsigned char.

Parameters:

  | pucData | is the byte array
  | ulSize | is the size of the array

virtual PTEIDSDK_API eIDMW::PTEID_ByteArray::~PTEID_ByteArray | ( |  | ) | `[virtual]`

Destructor.

NOEXPORT_PTEIDSDK eIDMW::PTEID_ByteArray::PTEID_ByteArray | ( | const SDK_Context * | context,
|  | const CByteArray & | impl |
| ) |  |  |

For internal use : construct from lower level object.

## Member Function Documentation

PTEIDSDK_API void eIDMW::PTEID_ByteArray::Append | ( | const PTEID_ByteArray & | data | ) |

Append data to the byte array.

PTEIDSDK_API void eIDMW::PTEID_ByteArray::Append | ( | const unsigned char * | pucData,
|  | unsigned long | ulSize |
| ) |  |  |

Append data to the byte array.

Parameters:

  | pucData | is the byte array
  | ulSize | is the size of the array

PTEIDSDK_API void eIDMW::PTEID_ByteArray::Clear | ( |  | ) |

Remove the data from the byte array.

PTEIDSDK_API bool eIDMW::PTEID_ByteArray::Equals | ( | const PTEID_ByteArray & | data | ) | const

Return true if the content of data is the same as this.

PTEIDSDK_API const unsigned char* eIDMW::PTEID_ByteArray::GetBytes | ( |  | ) | const

Return the array of bytes in the object.

If Size() == 0, then NULL is returned.

NOEXPORT_PTEIDSDK PTEID_ByteArray& eIDMW::PTEID_ByteArray::operator= | ( | const CByteArray & | bytearray | ) |

For internal use : copy from lower level object.

PTEIDSDK_API PTEID_ByteArray& eIDMW::PTEID_ByteArray::operator= | ( | const PTEID_ByteArray & | bytearray | ) |

Copy content of bytearray.

PTEIDSDK_API unsigned long eIDMW::PTEID_ByteArray::Size | ( |  | ) | const

Return the number of bytes in the array.

PTEIDSDK_API bool eIDMW::PTEID_ByteArray::writeToFile | ( | const char * | csFilePath | ) |

Writing the binary content to a file.

The documentation for this class was generated from the following file:

- eidlib.h